[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] Inconsistencies in the runtime plugin.xml and manifest.mf files



Oops...I claim responsibility for some of this. I released some of the new
preferences APIs last night and released a new plugin.xml but not my
changes to the manifest file.



equinox-dev-admin@xxxxxxxxxxx wrote on 02/15/2004 11:09:54 PM:

>
> I noticed that the runtime plugin.xml does not re-export org.
> eclipse.osgi.services or org.eclipse.osgi.utils but does re-export
> org.eclispe.osgi itself.  Interestingly, the runtime manifest.mf
> does requires only org.eclipse.osgi. (and re-exports it)
>
> runtime.compatibility requires and re-exports all three osgi bundles
> in both the plugin.xml and the manifest.mf but its plugin.xml
> requires org.eclipse.update.configurator but this is not included in
> the manifest.mf.
>
> So, there are inconsistencies between runtime and compatibility
> (still don't understand why runtime does not reexport all three osgi
> bundles) and inconsistencies between the plugin.xml and manifest.mf
> for both runtime and runtime.compatibility
>
> Jeff